[Linux] Audicious mp3 Player

Dieses Thema im Forum "Linux & BSD" wurde erstellt von lele2k, 14. November 2007 .

Schlagworte:
  1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen
  1. #1 14. November 2007
    Audicious mp3 Player

    Hallo zusammen !
    Bin nun also in linux unterwegs und habe daher auch noch nicht sooo viel erfahrung.
    Nun brauche ich also ein programm das mir meine mp3 files aus den boxen blasen kann. Ich persönlich verzichte lieber auf die ganzen super designten oberflächen. Und daher bin ich auf den player namens Audacious gestoßen. Joa habe mir das gesaugt und wollte das nun installieren und habe dem zu folge mit dem befehl ./configure angefangen. Habe dabei auch schon 2 Probleme die aufgetreten sind behoben. Nun bleibt er aber bei folgendem hängen ...

    Code:
    checking for pkg-config... /usr/bin/pkg-config
    checking for glib-2.0 >= 2.10.0 gtk+-2.0 >= 2.10.0 gthread-2.0 pango... no
    configure: error: Cannot find glib2/gtk2/pango
    Ich habe schon nach den bibliotheken gesucht und die sind auch vorhanden soweit ich das sehen kann :D aber was genau verlangt das programm von mir. ich werde da nicht so recht schlau draus.

    Ich bitte um hilfe. ich würde gerne wissen was ich tun soll oder ob ich noch was installieren muss oder sonst was.

    Danke im voraus !!
    mfg: lele
     

  2. Anzeige
  3. #2 14. November 2007
    AW: Audicious mp3 Player

    sag ma welche distro du hast, wahrscheinlich isses schon in den offiziellen repos davon drin, dann musst du es nich selbst compilen...mfg coach

    EDIT: seh grade, du hast ubuntu installt (nachdem ichs dir empfohlen hab^^), also ma einfach unter system-->administration (oder so, bin grad unter windoof) synaptic starten und dadrin suchen+installieren. sollte es nich drin sein, hier ein link:
    Audacious › Wiki › ubuntuusers.de
    (merk dir am besten ubuntuusers.de sofort, is nützlich^^)
     
  4. #3 15. November 2007
    AW: Audicious mp3 Player

    ansonsten xmms verwenden, das braucht imho keine gtk-lib...ansonsten halt mal apt-cache search pango und dann die entsprechenden libs etc runterladen.

    mfg
    fake
     
  5. #4 15. November 2007
    AW: Audicious mp3 Player

    xmms kann ich _nicht_ empfehlen, da es nichtmehr weiterentwickelt wird und mittlerweile doch gut veraltet is. bleib bei audacious, is meine meinung...mfg coach
     
  6. #5 15. November 2007
    AW: Audicious mp3 Player

    XMMS benutzt afaik uebrigens auch GTK+.
    Audacious benutzen, XMMS wurde sogar schon aus dem Gentoo Portage entfernt ...

    Mfg,

    Kolazomai
     
  7. #6 16. November 2007
    AW: Audicious mp3 Player

    dafür sieht xmms vieeeeeel besser aus =) naja was solls, gtk sollte man so oder so parat haben.

    mfg
    fake
     
  8. #7 16. November 2007
    AW: Audicious mp3 Player

    Hi!

    Bin ich anderer Meinung :)
    Man kann Audacious' Aussehen nach Belieben aendern ( verschiedene Skins ).

    Das Plugin-System ist neuer, es benutzt das neueste GTK+, wird entwickelt, u.s.w.

    Also eine Menge Vorteile gegenueber XMMS.

    Mfg,

    Kolazomai
     
  9. #8 16. November 2007
    AW: Audicious mp3 Player

    jo hi leute ... naja ich habe mal nachgeguckt ob mit eure tipss weiterhelfen ... aber fehlanzeige .. ich habe nachgesehen was ich brauche und dann in synaptic nachgesehen ... das prob ist dass ich all die nötigen pakete installiert habe ... aber die ./configure trotzdem nicht komplett durchläuft.

    Code:
    apt-cache search pango:
    
    libgtk2.0-cil - CLI binding for the GTK+ toolkit 2.10
    libpango1.0-common - Modules and configuration files for the Pango
    libpango1.0-0 - Layout and rendering of internationalized text
    gstreamer0.10-x - GStreamer plugins for X11 and Pango
    aber all die pakete sind vorhanden und installiert ... und trotzdem kommt weiterhin die ausgabe :

    Code:
    configure: error: Cannot find glib2/gtk2/pango
    was tun ... danke im voraus .. hoffe mir kann noch gemand helfen ... ich will endlich mukke hören :D
    mfg: lele
     
  10. #9 16. November 2007
    AW: Audicious mp3 Player

    Hey!

    Musst die development-Dateien moeglicherweise installieren ...
    Schau einfach mal, ob du 'gtk.h' auf deinem System findest, oder ob du
    Code:
    pkg-config --cflags --libs gtk+-2.0
    erfolgreich ausfuehren kannst.

    Wenn nicht, dann installier dir das Paket 'gnome-devel' oder so aehnlich.
    Du brauchst auf jeden Fall diese Header-Dateien, weil er es sonst nicht kompilieren kann :)

    Mfg,

    Kolazomai
     
  11. #10 16. November 2007
    AW: Audicious mp3 Player

    Habe das mit dem befehl mal gemacht ... und wie du gesagt hast ließ sich der befehl nicht korrekt ausführen.
    Dabei kam das raus :

    Code:
    cybe@lele:~$ pkg-config --cflags --libs gtk+-2.0
    Package gtk+-2.0 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `gtk+-2.0.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'gtk+-2.0' found
    .. habe dann nach dem von dir genannten paket gesucht aber dieses nicht gefunden.
    Was soll ich nun tun ? wo bekomme ich das sicher her. (bin noch anfänger)

    mfg: lele
     
  12. #11 16. November 2007
    AW: Audicious mp3 Player

    Versuchs doch mit Amarok, ist am anfang vom design her ein bisschen komisch aber der kann extrem viel ...
     
  13. #12 17. November 2007
    AW: Audicious mp3 Player

    Ja aber auch wenn ich dann amarok habe bringt mir das ja nichts weil ich das Paket ja so und so mal brauche. Also wo bekomme ich das her und was genau soll ich mir da saugen, das weäre nett wenn mir das jemand sagen könnte.

    Zitat zu meinem letzten schritt :

    Code:
    cybe@lele:~$ pkg-config --cflags --libs gtk+-2.0
    Package gtk+-2.0 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `gtk+-2.0.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'gtk+-2.0' found
    Ich brauche dieses paket. :D
    Danke im voraus.
    mfg: Lele
     
  14. #13 17. November 2007
    AW: Audicious mp3 Player

    Hi!

    GTK+-dev, glib-dev, libgtk-dev, libgtk2.0-dev, irgendwie sowas brauchste.
    Das -dev am Ende bedeutet, dass das die Development-Dateien sind.

    Mfg,

    Kolazomai
     
  15. #14 17. November 2007
    AW: Audicious mp3 Player

    genau, versuchs ml damit ;)

    libgtk2.0-dev
     
  16. #15 17. November 2007
    AW: Audicious mp3 Player

    Jo hallo zusammen. Vorerst danke ich allen die mir geholfen haben bis jetzt. Ich sitze schon seid 10 uhr an dem system hier und versuche das hinzubekommen. Und das habe ich gerade auch :D endlich. naja aber wie das halt so ist stehe ich vor einem neuen problem. Also um libgtk 2.0 zu installen habe ich mir hamemr viel pkete saugen müssen die ich noch nicht hatte. Das war bissl aufwändig aber ok. Naja nun bin ich also auch schon mit der Paket quelle unter ubuntuusers vertraut.
    Also da ich libgtk2 nun hatte habe ich erneut ./configure durchlaufen lassen, denn grundliegend geht es ja immer noch darum den audacious player zu installieren.

    jetzt kommt das dabei heraus ...

    Code:
    checking MOWGLI_LIBS... -lmowgli 
    checking for libglade-2.0 >= 2.3.1... no
    configure: error: Cannot find libglade
    cybe@lele:~/audacious-1.4.0$ 
    ich habe das paket auch gesucht, aber ich kann es im verzeichnix nicht finden.
    Ist das vllt ein älteres was nicht mehr erhältlich ist oder so ?
    was soll ich nun tun ? und woher kann ich das wohl bekommen?
    Thx 4 help !!!
    mfg: lele
     
  17. #16 17. November 2007
    AW: Audicious mp3 Player

    Hi!

    Gibts 'libglade' nicht ?
    Code:
    apt-cache search libglade
    Debian Packages: libglade

    Sollte es also geben ... Natuerlich wieder die '-dev' mitinstallieren, weil du ja etwas kompilieren willst :)

    Mfg,

    Kolazomai
     
  18. #17 17. November 2007
    AW: Audicious mp3 Player

    richtig, aber ich versteh immernochnet, warum dus selbst kompilierst mit ./configure und net die fertige .deb datei installierst per synaptic/apt...mfg coach
     
  19. #18 17. November 2007
    AW: Audicious mp3 Player

    Hm ja aber wie soll das gehen ? also ich habe das mal versucht mit snaptic. Wenn ich dann das paket darüner installieren will, geht das nicht weil ich das paket im browser nicht auswählen kann. Mach ich was falsch oder so ? oder habe ich das falsche paket ?
    mfg: lele

    ___________________________________________edit:________________________
    Alles klar... habe mir die pakete jetzt gesaugt und configure ist durchgelaufen. habe dann mit make weiter gemacht :D und da kommt schon wieder ein fehler ... :( langsam mnervt mich das ein bischen. Unter windows ist es ja wohl 1000 leichter etwas zu installieren als unter linux. Aber mir ist ja auch bekannt das linux nicht windoof ist und auch nicht sein will :D aber zum fehler ... der lautet so :

    Code:
    rm -f br.gmo && : -c --statistics -o br.gmo br.po
    mv: Aufruf von stat für „t-br.gmo“ nicht möglich: No such file or directory
    make[3]: *** [br.gmo] Fehler 1
    make[2]: *** [stamp-po] Fehler 2
    make[1]: *** [subdirs] Fehler 1
    make: *** [all] Fehler 1

    was zur hölle soll das denn heissen ? und wie bekomme ich das weg ? :D
    mfg: lele

    ____________________________edit:______________________________
    Hi ich habe ein weitere Problem.
    Un zwar: Coach sagte im Beitrag zuvor dass ich mir die Pakete auch fertig herunterladen kann und installieren kann. Das habe ich dann auch mal gemacht. Aber jetzt habe ich das Problem beim installieren...
    wenn ich das paket audacious.dep installieren will .. sagt er mir dass ich erst das paket audacious-plugins brauche. Aber wenn ich dann erst das paket audacious-plugins.dep installieren will sagt er mit wiederum dass ich erst das paket audacious brauche. Also ist das ne Zwickmühle.. ^^ wie komme ich da raus ? mache ich was falsch oder so ?
    bitte um hilfe ich weiss nicht wie ich das machen soll.
    danke im vorraus.
    mfg: lele
     

  20. Videos zum Thema
Die Seite wird geladen...
Similar Threads - Linux Audicious mp3
  1. Antworten:
    1
    Aufrufe:
    1.864
  2. Antworten:
    2
    Aufrufe:
    1.579
  3. Antworten:
    3
    Aufrufe:
    1.811
  4. Antworten:
    0
    Aufrufe:
    277
  5. Antworten:
    3
    Aufrufe:
    2.332